// ParticleLogo.h: interface for the CParticleLogo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PARTICLELOGO_H__2EE816ED_6D49_11D5_AD0F_C06E57C10000__INCLUDED_)
#define AFX_PARTICLELOGO_H__2EE816ED_6D49_11D5_AD0F_C06E57C10000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CParticleLogo : public CEfx  
{
private:

	he3d_CMatrix			m_mtxFrame;	

	PDIRECT3DVERTEXBUFFER8	m_pvbParticle;		
	
	BYTE					m_pbTempl[4096];
	he3d_CVector			m_pvPoints[4096];	

	CSimpleMesh*			m_pmBackSphere;
	CImageQuad*				m_piqFade;

	DWORD					m_dwFadeFactor;
	DWORD					m_dwBackFactor;

public:

	CParticleLogo( PDIRECT3DDEVICE8 pDevice );
	virtual ~CParticleLogo();
	
	virtual BOOL InitEfx();
	virtual BOOL UpdateFrame( FLOAT fTime );
	virtual BOOL RenderEfx();
	virtual BOOL FinishEfx();
};

#endif // !defined(AFX_PARTICLELOGO_H__2EE816ED_6D49_11D5_AD0F_C06E57C10000__INCLUDED_)
